# Generated by Django 4.1.3 on 2022-12-20 08:03

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('discussion_app', '0019_alter_discussiontheme_is_golden_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserInDiscussion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('discussion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_in_discussion', to='discussion_app.discussion', verbose_name='Discussion')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_in_discussion', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'UserInDiscussion',
                'verbose_name_plural': 'UserInDiscussions',
            },
        ),
    ]
